Subject: bug#16306: 24.3.50; font change creates blank column on Lucid

From: martin rudalics <[email-masked]>
Date: Tue, 31 Dec 2013 18:52:28 +0100

> It no longer shows a blank column.  But for the Lucid case, the value
 > of (frame-width) is reduced from 80 to 79 (and 80th column is
 > partially shown) when I change the frame font to Courier-18.

I can't repeat that here, neither with Lucid nor with Motif.

 > Lucid:
 > (list (frame-width) (frame-pixel-width))
 > => (80 674)

=> (80 756) here

 > (+ (* (frame-char-width) 80) (frame-fringe-width)
 > (frame-scroll-bar-width)
 >    (* (frame-parameter nil 'internal-border-width) 2))
 > => 674

=> 756

 > (set-frame-font "Courier-18")
 > (list (frame-width) (frame-pixel-width))
 > => (79 1162)

=> (80 1248)

 > (+ (* (frame-char-width) 80) (frame-fringe-width)
 > (frame-scroll-bar-width)
 >    (* (frame-parameter nil 'internal-border-width) 2))
 > => 1166

=> 1248

Can you tell me what

(list
  (* (frame-char-width) 80)
  (frame-fringe-width)
  (frame-scroll-bar-width)
  (* (frame-parameter nil 'internal-border-width) 2))

gives on your system?  Here it's (720 18 16 2) before and (1200 30 16 2)
after the font change.

In any case, please have a look at x_new_font - maybe there's some
blatant error you can spot immediately.  I have no idea how changing the
font is supposed to change the size of the scrollbars.

martin